%define bname           geronimo
%define name            geronimo-specs
%define version         1.0
%define mstone		M4
%define fversion        %{version}-%{mstone}
%define release         0.%{mstone}.1jpp_10rh
%define section         free
                                                                                
Summary:        Geronimo J2EE server J2EE specifications
URL:            http://geronimo.apache.org
Source0:        %{bname}-%{fversion}-src.tar.gz
Source1:        %{name}-pom-maven2jpp-depcat.xsl
Source2:        %{name}-pom-maven2jpp-newdepmap.xsl
Source3:        %{name}-pom-maven2jpp-mapdeps.xsl
Source4:        geronimo-specs-1.0-M4-jpp-depmap.xml
Patch0:         geronimo-specs-%{fversion}-SchemaCompiler.patch
Patch1:         geronimo-specs-%{fversion}-jpp.patch
Patch2:         geronimo-specs-%{fversion}-ejb.patch

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        Apache Software License 2
Group:          Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  maven >= 0:1.0.2
BuildRequires:  maven-plugins-base
BuildRequires:	maven-plugin-license
BuildRequires:  maven-plugin-test
BuildRequires:  maven-plugin-xdoc
BuildRequires:  isorelax
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  jakarta-commons-jelly-tags-velocity
BuildRequires:  jakarta-commons-jelly-tags-xml
BuildRequires:  forehead
BuildRequires:  saxon-scripts
BuildRequires:	mockobjects >= 0:0.09
BuildRequires:	mockobjects-jdk1.4 >= 0:0.09
#BuildRequires:	mockobjects-jdk1.4-j2ee1.3 >= 0:0.09
BuildRequires:  mx4j >= 0:2.0.1
BuildRequires:  velocity 
BuildRequires:  ws-scout 
BuildRequires:  xmlbeans 
BuildRequires:  xml-commons-resolver

Requires:  mx4j >= 0:2.0.1
Requires:  xmlbeans 
Requires:  xml-commons-resolver

# The main package has links to all specs, so it requires all subpackages
# except j2ee-schema (not linked) and javadocs
# FIXME Add to main package things added after M2
#Requires: geronimo-jaf-1.0.2-api = %{version}-%{release}
#Requires: geronimo-corba-2.3-apis = %{version}-%{release}
Requires: geronimo-ejb-2.1-api = %{version}-%{release}
Requires: geronimo-j2ee-1.4-apis = %{version}-%{release}
Requires: geronimo-j2ee-connector-1.5-api = %{version}-%{release}
Requires: geronimo-j2ee-deployment-1.1-api = %{version}-%{release}
#Requires: geronimo-jacc-1.0-api = %{version}-%{release}
Requires: geronimo-j2ee-management-1.0-api = %{version}-%{release}
#Requires: geronimo-javamail-1.3.1-api = %{version}-%{release}
#Requires: geronimo-jaxr-1.0-api = %{version}-%{release}
#Requires: geronimo-jaxrpc-1.1-api = %{version}-%{release}
Requires: geronimo-jms-1.1-api = %{version}-%{release}
Requires: geronimo-jsp-2.0-api = %{version}-%{release}
Requires: geronimo-jta-1.0.1B-api = %{version}-%{release}
#Requires: geronimo-qname-1.1-api = %{version}-%{release}
#Requires: geronimo-saaj-1.1-api = %{version}-%{release}
Requires: geronimo-servlet-2.4-api = %{version}-%{release}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Geronimo is Apache's ASF-licenced J2EE server project.
These are the J2EE-Specifications
Note: You should use the subpackages for the Specifications
that you actually need.  The ones installed by the main package
are deprecated and will disapear in future releases.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package -n geronimo-jaf-1.0.2-api
Summary:        J2EE JAF v1.0.2 API
Group:          Development/Documentation
Provides:	jaf = 0:1.0.2
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jaf-1.0.2-api
Java Activation Framework

%package -n geronimo-corba-2.3-apis
Summary:        CORBA v2.3 APIs
Group:          Development/Documentation

%description -n geronimo-corba-2.3-apis
CORBA Spec

%package -n geronimo-ejb-2.1-api
Summary:        J2EE EJB v2.1 API
Group:          Development/Documentation
Provides:	ejb = 0:2.1
Obsoletes:	ejb
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-ejb-2.1-api
Enterprise JavaBeans Specification

%package -n geronimo-j2ee-1.4-apis
Summary:        J2EE v1.4 APIs
Group:          Development/Documentation

%description -n geronimo-j2ee-1.4-apis
J2EE Specification (the complete set in one jar)

%package -n geronimo-j2ee-connector-1.5-api
Summary:        J2EE Connector v1.5 API
Group:          Development/Documentation
Provides:	j2ee-connector = 0:1.5
Obsoletes:	j2ee-connector
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-j2ee-connector-1.5-api
J2EE Connector Architecture Specification

%package -n geronimo-j2ee-deployment-1.1-api
Summary:        J2EE Deployment v1.1 API
Group:          Development/Documentation
Provides:	j2ee-deployment = 0:1.1
Obsoletes:	j2ee-deployment
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-j2ee-deployment-1.1-api
J2EE Application Deployment Specification

%package -n geronimo-jacc-1.0-api
Summary:        J2EE JACC v1.0 API
Group:          Development/Documentation
Provides:	jacc = 0:1.0
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jacc-1.0-api
Java Authorization Contract for Containers Specification

%package -n geronimo-j2ee-management-1.0-api
Summary:        J2EE Management v1.0 API
Group:          Development/Documentation
Provides:	j2ee-management = 0:1.0
Obsoletes:	j2ee-management
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-j2ee-management-1.0-api
J2EE Application Management Specification

%package -n geronimo-javamail-1.3.1-api
Summary:        J2EE JavaMail v1.3.1 API
Group:          Development/Documentation
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#Provides:	javamail = 0:1.3.1

%description -n geronimo-javamail-1.3.1-api
JavaMail API

%package -n geronimo-jaxr-1.0-api
Summary:        J2EE JAXR v1.0 API
Group:          Development/Documentation
Provides:	jaxr = 0:1.0
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jaxr-1.0-api
Java API for XML Registries (JAXR)

%package -n geronimo-jaxrpc-1.1-api
Summary:        J2EE JAXRPC v1.1 API
Group:          Development/Documentation
Provides:	jaxrpc = 0:1.1
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jaxrpc-1.1-api
Java API for XML-Based RPC (JAXRPC)

%package -n geronimo-jms-1.1-api
Summary:        J2EE JMS v1.1 API
Group:          Development/Documentation
Provides:	jms = 0:1.1
Obsoletes:	jms
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jms-1.1-api
JMS Specification

%package -n geronimo-jsp-2.0-api
Summary:        J2EE JSP v2.0 API
Group:          Development/Documentation
Provides:	jsp = 0:2.0
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jsp-2.0-api
JavaServer Pages Specification

%package -n geronimo-jta-1.0.1B-api
Summary:        J2EE JTA v1.0.1B API
Group:          Development/Documentation
Provides:	jta = 0:1.0.1B
Obsoletes:	jta
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-jta-1.0.1B-api
Java Transaction API Specification

%package -n geronimo-qname-1.1-api
Summary:        Namespace v1.1 API
Group:          Development/Documentation

%description -n geronimo-qname-1.1-api
javax.xml.namespace.QName API

%package -n geronimo-saaj-1.1-api
Summary:        J2EE SAAJ v1.1 API
Group:          Development/Documentation
Provides:	saaj = 0:1.1
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-saaj-1.1-api
SOAP with Attachments API for Java (SAAJ)

%package -n geronimo-servlet-2.4-api
Summary:        J2EE Servlet v2.4 API
Group:          Development/Documentation
Provides:	servlet = 0:2.4
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives

%description -n geronimo-servlet-2.4-api
Java Activation Framework


%prep
%setup -q -n geronimo-%{version}-%{mstone}
chmod -R go=u-w *
mkdir mod_tmp
mv modules/j2ee-schema mod_tmp
rm -rf modules
mv mod_tmp modules
mkdir plug_tmp
mv plugins/maven-xmlbeans-plugin plug_tmp
rm -rf plugins
mv plug_tmp plugins
rm -rf applications
rm -rf sandbox

# FIXME Remove class duplicated from jaxrpc
#rm specs/ejb/src/java/javax/xml/rpc/handler/MessageContext.java

export DEPCAT=$(pwd)/geronimo-specs-1.0-M2-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > geronimo-specs-1.0-M2-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav

# Remove spurious class from ejb
rm -fr specs/ejb/src/java/javax/xml

# FIXME Disable suspicious test
rm -f specs/j2ee-deployment/src/test/javax/enterprise/deploy/shared/factories/DeploymentFactoryManagerTest.java

# These tests need Java 1.3
rm -f specs/jms/src/test/javax/jms/*Test.java

%build
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME

export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven -Dmodule.types=plugins,modules,specs \
      -Dmaven.repo.remote=file:/usr/share/maven/repository \
      -Dmaven.home.local=$(pwd)/.maven \
      -Dmaven.javadoc.mode.online=false \
      modules:build modules:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# subpackage jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -p -m 0644 specs/activation/target/geronimo-spec-activation-1.0.2-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jaf-1.0.2-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaf-1.0.2-api-%{fversion}.jar geronimo-jaf-1.0.2-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaf.jar # for %ghost

install -p -m 0644 specs/corba/target/geronimo-spec-corba-2.3-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-corba-2.3-apis-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-corba-2.3-apis-%{fversion}.jar geronimo-corba-2.3-apis.jar
popd

install -p -m 0644 specs/ejb/target/geronimo-spec-ejb-2.1-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-ejb-2.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-ejb-2.1-api-%{fversion}.jar geronimo-ejb-2.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/ejb.jar # for %ghost

install -p -m 0644 specs/j2ee-connector/target/geronimo-spec-j2ee-connector-1.5-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-connector-1.5-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-connector-1.5-api-%{fversion}.jar \
	geronimo-j2ee-connector-1.5-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-connector.jar # for %ghost

install -p -m 0644 specs/j2ee-deployment/target/geronimo-spec-j2ee-deployment-1.1-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-deployment-1.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-deployment-1.1-api-%{fversion}.jar \
	geronimo-j2ee-deployment-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-deployment.jar # for %ghost

install -p -m 0644 specs/j2ee-jacc/target/geronimo-spec-j2ee-jacc-1.0-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jacc-1.0-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jacc-1.0-api-%{fversion}.jar geronimo-jacc-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jacc.jar # for %ghost

install -p -m 0644 specs/j2ee-management/target/geronimo-spec-j2ee-management-1.0-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-management-1.0-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-management-1.0-api-%{fversion}.jar \
	geronimo-j2ee-management-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-management.jar # for %ghost

install -p -m 0644 specs/javamail/target/geronimo-spec-javamail-1.3.1-rc5.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-javamail-1.3.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-javamail-1.3.1-api-%{fversion}.jar \
	geronimo-javamail-1.3.1-api.jar
popd
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#touch $RPM_BUILD_ROOT%{_javadir}/javamail.jar # for %ghost

install -p -m 0644 specs/jaxr/target/geronimo-spec-jaxr-1.0-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jaxr-1.0-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaxr-1.0-api-%{fversion}.jar geronimo-jaxr-1.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaxr.jar # for %ghost

install -p -m 0644 specs/jaxrpc/target/geronimo-spec-jaxrpc-1.1-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jaxrpc-1.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jaxrpc-1.1-api-%{fversion}.jar geronimo-jaxrpc-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jaxrpc.jar # for %ghost

install -p -m 0644 specs/j2ee/target/geronimo-spec-j2ee-1.4-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-j2ee-1.4-apis-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-j2ee-1.4-apis-%{fversion}.jar geronimo-j2ee-1.4-apis.jar
popd

install -p -m 0644 specs/jms/target/geronimo-spec-jms-1.1-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jms-1.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jms-1.1-api-%{fversion}.jar geronimo-jms-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jms.jar # for %ghost

install -p -m 0644 specs/jsp/target/geronimo-spec-jsp-2.0-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jsp-2.0-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jsp-2.0-api-%{fversion}.jar geronimo-jsp-2.0-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jsp.jar # for %ghost

install -p -m 0644 specs/jta/target/geronimo-spec-jta-1.0.1B-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-jta-1.0.1B-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-jta-1.0.1B-api-%{fversion}.jar geronimo-jta-1.0.1B-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/jta.jar # for %ghost

install -p -m 0644 specs/qname/target/geronimo-spec-qname-1.1-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-qname-1.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-qname-1.1-api-%{fversion}.jar geronimo-qname-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/qname.jar # for %ghost

install -p -m 0644 specs/saaj/target/geronimo-spec-saaj-1.1-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-saaj-1.1-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-saaj-1.1-api-%{fversion}.jar geronimo-saaj-1.1-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/saaj.jar # for %ghost

install -p -m 0644 specs/servlet/target/geronimo-spec-servlet-2.4-rc4.jar \
      $RPM_BUILD_ROOT%{_javadir}/geronimo-servlet-2.4-api-%{fversion}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf geronimo-servlet-2.4-api-%{fversion}.jar geronimo-servlet-2.4-api.jar
popd
touch $RPM_BUILD_ROOT%{_javadir}/servlet.jar # for %ghost


# main package jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/geronimo
pushd $RPM_BUILD_ROOT%{_javadir}/geronimo

  ln -sf ../geronimo-jaf-1.0.2-api-%{fversion}.jar spec-ejb-2.1-rc4.jar
  ln -sf spec-ejb-2.1-rc4.jar spec-ejb-2.1.jar

  ln -sf ../geronimo-j2ee-connector-1.5-api-%{fversion}.jar \
	spec-j2ee-connector-1.5-rc4.jar
  ln -sf spec-j2ee-connector-1.5-rc4.jar spec-j2ee-connector-1.5.jar

  ln -sf ../geronimo-j2ee-deployment-1.1-api-%{fversion}.jar \
	spec-j2ee-deployment-1.1-rc4.jar
  ln -sf spec-j2ee-deployment-1.1-rc4.jar spec-j2ee-deployment-1.1.jar

  ln -sf ../geronimo-jacc-1.0-api-%{fversion}.jar spec-j2ee-jacc-1.0-rc4.jar
  ln -sf spec-j2ee-jacc-1.0-rc4.jar spec-j2ee-jacc-1.0.jar

  ln -sf ../geronimo-j2ee-management-1.0-api-%{fversion}.jar \
	spec-j2ee-management-1.0-rc4.jar
  ln -sf spec-j2ee-management-1.0-rc4.jar spec-j2ee-management-1.0.jar

  ln -sf ../geronimo-j2ee-1.4-apis-%{fversion}.jar spec-j2ee-1.4-rc4.jar
  ln -sf spec-j2ee-1.4-rc4.jar spec-j2ee-1.4.jar

  ln -sf ../geronimo-jms-1.1-api-%{fversion}.jar spec-jms-1.1-rc4.jar
  ln -sf spec-jms-1.1-rc4.jar spec-jms-1.1.jar

  ln -sf ../geronimo-jsp-2.0-api-%{fversion}.jar spec-jsp-2.0-rc4.jar
  ln -sf spec-jsp-2.0-rc4.jar spec-jsp-2.0.jar

  ln -sf ../geronimo-jta-1.0.1B-api-%{fversion}.jar spec-jta-1.0.1B-rc4.jar
  ln -sf spec-jta-1.0.1B-rc4.jar spec-jta-1.0.1B.jar

  ln -sf ../geronimo-servlet-2.4-api-%{fversion}.jar spec-servlet-2.4-rc4.jar
  ln -sf spec-servlet-2.4-rc4.jar spec-servlet-2.4.jar
popd

install -p -m 0644 modules/j2ee-schema/target/geronimo-j2ee-schema-1.0-M4.jar \
	      $RPM_BUILD_ROOT%{_javadir}/geronimo/spec-j2ee-schema-1.0-M4.jar
pushd $RPM_BUILD_ROOT%{_javadir}/geronimo
  ln -sf spec-j2ee-schema-1.0-M4.jar spec-j2ee-schema-1.0.jar
popd


# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
for sp in ejb j2ee-connector j2ee-deployment j2ee-jacc j2ee-management jms jsp jta servlet; do
    install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/${sp}
    cp -pr specs/${sp}/target/docs/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/${sp}
done
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%triggerpostun -n geronimo-jaf-1.0.2-api -- classpathx-jaf <= 0:1.0-2jpp_4rh
# Remove file from old non-free packages
rm -f %{_javadir}/jaf.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/jaf %{_javadir}/jaf.jar

%post -n geronimo-jaf-1.0.2-api
/usr/sbin/update-alternatives --install %{_javadir}/jaf.jar jaf %{_javadir}/geronimo-jaf-1.0.2-api.jar 10002

%preun -n geronimo-jaf-1.0.2-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jaf %{_javadir}/geronimo-jaf-1.0.2-api.jar
fi

%triggerpostun -n geronimo-ejb-2.1-api -- ejb <= 0:2.1-3jpp_2rh
# Remove file from old non-free packages
rm -f %{_javadir}/ejb.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/ejb %{_javadir}/ejb.jar

%post -n geronimo-ejb-2.1-api
/usr/sbin/update-alternatives --install %{_javadir}/ejb.jar ejb %{_javadir}/geronimo-ejb-2.1-api.jar 20100

%preun -n geronimo-ejb-2.1-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove ejb %{_javadir}/geronimo-ejb-2.1-api.jar
fi

%triggerpostun -n geronimo-j2ee-connector-1.5-api -- j2ee-connector <= 0:1.5-3jpp_2rh
# Remove file from old non-free packages
rm -f %{_javadir}/j2ee-connector.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/j2ee-connector %{_javadir}/j2ee-connector.jar

%post -n geronimo-j2ee-connector-1.5-api
/usr/sbin/update-alternatives --install %{_javadir}/j2ee-connector.jar j2ee-connector %{_javadir}/geronimo-j2ee-connector-1.5-api.jar 10500

%preun -n geronimo-j2ee-connector-1.5-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove j2ee-connector %{_javadir}/geronimo-j2ee-connector-1.5-api.jar
fi

%triggerpostun -n geronimo-j2ee-deployment-1.1-api -- j2ee-deployment <= 0:1.1-1jpp_1rh
# Remove file from old non-free packages
rm -f %{_javadir}/j2ee-deployment.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/j2ee-deployment %{_javadir}/j2ee-deployment.jar

%post -n geronimo-j2ee-deployment-1.1-api
/usr/sbin/update-alternatives --install %{_javadir}/j2ee-deployment.jar j2ee-deployment %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar 10100

%preun -n geronimo-j2ee-deployment-1.1-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove j2ee-deployment %{_javadir}/geronimo-j2ee-deployment-1.1-api.jar
fi

%triggerpostun -n geronimo-jacc-1.0-api -- jacc <= 0:1.0-1jpp
# Remove file from old non-free packages
rm -f %{_javadir}/jacc.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/jacc %{_javadir}/jacc.jar

%post -n geronimo-jacc-1.0-api
/usr/sbin/update-alternatives --install %{_javadir}/jacc.jar jacc %{_javadir}/geronimo-jacc-1.0-api.jar 10000

%preun -n geronimo-jacc-1.0-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jacc %{_javadir}/geronimo-jacc-1.0-api.jar
fi

%triggerpostun -n geronimo-j2ee-management-1.0-api -- j2ee-management <= 0:1.0-1jpp_1rh
# Remove file from old non-free packages
rm -f %{_javadir}/j2ee-management.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/j2ee-management %{_javadir}/j2ee-management.jar

%post -n geronimo-j2ee-management-1.0-api
/usr/sbin/update-alternatives --install %{_javadir}/j2ee-management.jar j2ee-management %{_javadir}/geronimo-j2ee-management-1.0-api.jar 10000

%preun -n geronimo-j2ee-management-1.0-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove j2ee-management %{_javadir}/geronimo-j2ee-management-1.0-api.jar
fi

# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#%post -n geronimo-javamail-1.3.1-api
#/usr/sbin/update-alternatives --install %{_javadir}/javamail.jar javamail %{_javadir}/geronimo-javamail-1.3.1-api.jar 10301
#
#%preun -n geronimo-javamail-1.3.1-api
#if [ "$1" = "0" ]; then
#    /usr/sbin/update-alternatives --remove javamail %{_javadir}/geronimo-javamail-1.3.1-api.jar
#fi

%triggerpostun -n geronimo-jaxr-1.0-api -- jaxr-api <= 0:1.0-1jpp
# Remove file from old non-free packages
rm -f %{_javadir}/jaxr.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/jaxr %{_javadir}/jaxr.jar

%post -n geronimo-jaxr-1.0-api
/usr/sbin/update-alternatives --install %{_javadir}/jaxr.jar jaxr %{_javadir}/geronimo-jaxr-1.0-api.jar 10000

%preun -n geronimo-jaxr-1.0-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jaxr %{_javadir}/geronimo-jaxr-1.0-api.jar
fi

%post -n geronimo-jaxrpc-1.1-api
/usr/sbin/update-alternatives --install %{_javadir}/jaxrpc.jar jaxrpc %{_javadir}/geronimo-jaxrpc-1.1-api.jar 10100

%preun -n geronimo-jaxrpc-1.1-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jaxrpc %{_javadir}/geronimo-jaxrpc-1.1-api.jar
fi

%triggerpostun -n geronimo-jms-1.1-api -- jms <= 0:1.1-3jpp_2rh
# Remove file from old non-free packages
rm -f %{_javadir}/jms.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/jms %{_javadir}/jms.jar

%post -n geronimo-jms-1.1-api
/usr/sbin/update-alternatives --install %{_javadir}/jms.jar jms %{_javadir}/geronimo-jms-1.1-api.jar 10100

%preun -n geronimo-jms-1.1-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jms %{_javadir}/geronimo-jms-1.1-api.jar
fi

%post -n geronimo-jsp-2.0-api
/usr/sbin/update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/geronimo-jsp-2.0-api.jar 20000

%preun -n geronimo-jsp-2.0-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jsp %{_javadir}/geronimo-jsp-2.0-api.jar
fi

%triggerpostun -n geronimo-jta-1.0.1B-api -- jta <= 0:1.0.1-0.b.3jpp_2rh
# Remove file from old non-free packages
rm -f %{_javadir}/jta.jar
# Recreate the link as update-alternatives could not do it
ln -s %{_sysconfdir}/alternatives/jta %{_javadir}/jta.jar

%post -n geronimo-jta-1.0.1B-api
/usr/sbin/update-alternatives --install %{_javadir}/jta.jar jta %{_javadir}/geronimo-jta-1.0.1B-api.jar 10001

%preun -n geronimo-jta-1.0.1B-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove jta %{_javadir}/geronimo-jta-1.0.1B-api.jar
fi

%post -n geronimo-saaj-1.1-api
/usr/sbin/update-alternatives --install %{_javadir}/saaj.jar saaj %{_javadir}/geronimo-saaj-1.1-api.jar 10100

%preun -n geronimo-saaj-1.1-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove saaj %{_javadir}/geronimo-saaj-1.1-api.jar
fi

%post -n geronimo-servlet-2.4-api
/usr/sbin/update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/geronimo-servlet-2.4-api.jar 20400

%preun -n geronimo-servlet-2.4-api
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove servlet %{_javadir}/geronimo-servlet-2.4-api.jar
fi


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%dir %{_javadir}/geronimo
%{_javadir}/geronimo/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files -n geronimo-jaf-1.0.2-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jaf-1.0.2-api*.jar
%ghost %{_javadir}/jaf.jar

%files -n geronimo-corba-2.3-apis
%defattr(-,root,root,-)
%{_javadir}/geronimo-corba-2.3-apis*.jar

%files -n geronimo-ejb-2.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-ejb-2.1-api*.jar
%ghost %{_javadir}/ejb.jar

%files -n geronimo-j2ee-1.4-apis
%defattr(-,root,root,-)
%{_javadir}/geronimo-j2ee-1.4-apis*.jar

%files -n geronimo-j2ee-connector-1.5-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-j2ee-connector-1.5-api*.jar
%ghost %{_javadir}/j2ee-connector.jar

%files -n geronimo-j2ee-deployment-1.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-j2ee-deployment-1.1-api*.jar
%ghost %{_javadir}/j2ee-deployment.jar

%files -n geronimo-jacc-1.0-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jacc-1.0-api*.jar
%ghost %{_javadir}/jacc.jar

%files -n geronimo-j2ee-management-1.0-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-j2ee-management-1.0-api*.jar
%ghost %{_javadir}/j2ee-management.jar

%files -n geronimo-javamail-1.3.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-javamail-1.3.1-api*.jar
# Do not provide it as this is just the API (is it?) and
# our 'javamail' alternative means the providers as well
# all in a single jar file called 'javamail.jar'
#%ghost %{_javadir}/javamail.jar

%files -n geronimo-jaxr-1.0-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jaxr-1.0-api*.jar
%ghost %{_javadir}/jaxr.jar

%files -n geronimo-jaxrpc-1.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jaxrpc-1.1-api*.jar
%ghost %{_javadir}/jaxrpc.jar

%files -n geronimo-jms-1.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jms-1.1-api*.jar
%ghost %{_javadir}/jms.jar

%files -n geronimo-jsp-2.0-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jsp-2.0-api*.jar
%ghost %{_javadir}/jsp.jar

%files -n geronimo-jta-1.0.1B-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-jta-1.0.1B-api*.jar
%ghost %{_javadir}/jta.jar

%files -n geronimo-qname-1.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-qname-1.1-api*.jar
%ghost %{_javadir}/qname.jar

%files -n geronimo-saaj-1.1-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-saaj-1.1-api*.jar
%ghost %{_javadir}/saaj.jar

%files -n geronimo-servlet-2.4-api
%defattr(-,root,root,-)
%{_javadir}/geronimo-servlet-2.4-api*.jar
%ghost %{_javadir}/servlet.jar


%changelog
* Fri Dec 02 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_10rh
- Require update-alternatives in the subpackages that actually use it.

* Mon Nov 21 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_9rh
- Do not add/remove javamail alternatives either.

* Thu Nov 17 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_8rh
- Do not provide 'javamail' as this is just the API (is it?) and
  our 'javamail' alternative means the providers as well
  all in a single jar file called 'javamail.jar'

* Tue Nov 15 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_7rh
- Handle replacement of jaf alternative
- Remove leading zeroes from alternative priorities

* Tue Nov 08 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_6rh
- New 6-digit JPP alternative priorities
- Main package has links and requires subpackages

* Wed Nov 02 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_5rh
- Add Obsoletes to non-free packages and add versions to Provides
- Remove file from old non-free packages using a trigger
- Remove alternatives in preun instead of postun
- Require update-alternatives in preun and post
- Own alternatives links by ghost

* Sat Oct 22 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_4rh
- Add dash to j2ee-schema jar and link names

* Sat Oct 22 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_3rh
- Fix broken link to j2ee-schema jar

* Mon Aug 15 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.M4.1jpp_2rh
- Update dependencies
- Remove code to build repository; depmap handles this now

* Tue Aug 09 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp_1rh
- Merge with upstream

* Tue Aug 09 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M4.1jpp
- Upgrade to M4

* Tue Aug 09 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M2.3jpp_1rh
- Merge with upstream

* Thu Jun 01 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M2.3jpp
- Add missing dependency on isorelax
- Set JAVA_HOME
- Rename pom files to prevent conflict with similar files from other packages

* Thu Apr 28 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M2.2jpp_1rh
- First Red Hat build
- Add missing build requires for jakarta-commons-jelly-tags-xml and forehead
- Add missing build requires for maven-plugins-base
- Use unversioned maven directory and require version >= 1.0.2

* Thu Feb 03 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.2jpp
- Process project.xml files with saxon
- Don't tamper with $HOME
- Don't use build-jar-repository: [xyz].jar will not work with geronimo deploy

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.1jpp
- Upgrade to M2
* Thu Sep 30 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M1.1jpp
- First JPackage build

